uniform sampler2D s_tex0; 

uniform vec2 speed;
uniform float time;
uniform vec2 scale;

uniform vec4 u_blendcolor;

varying vec2 v_texcoord;

void main()
{	
	// Sampling The Texture And Passing It To The Frame Buffer

	gl_FragColor = texture2D(s_tex0, v_texcoord * scale + speed * time) * u_blendcolor;
} 
